Subject: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: Stefan Monnier <[email-masked]>
Date: Mon, 05 Jan 2015 01:11:37 -0500

>> Currently, pre-command-hook always restores window configuration to the 
>> one before the buffer with the definitions of the current line's xref 
>> was displayed.

> Why is that insistence on restoring the window configuration useful?
> Emacs users should be already used to the fact that Emacs pops buffers
> in windows all the time, so IMO there's nothing terribly wrong in
> leaving the window configuration changed.

Agreed.  In my book, any use of window-configuration restoration
is suspicious (too often used to hide an ugly "switch-to-buffer instead
of set-buffer", I guess).

        Stefan